# Copyright 2011, Red Hat

%global oname configshell-fb
%define module configshell

Name:           python-configshell
Epoch:          1
Version:        1.1.30
Release:        %mkrel 3
Summary:        A framework to implement simple but nice CLIs
License:        ASL 2.0
Group:          System/Libraries
URL:            https://github.com/agrover/configshell-fb
Source:         %{pypi_source configshell-fb}
BuildArch:      noarch

%description
A framework to implement simple but nice configuration-oriented
command-line interfaces.

%package -n     python3-%{module}
Summary:        A framework to implement simple but nice CLIs
Group:          Development/Python
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
Requires:       python3dist(pyparsing)
Requires:       python3dist(urwid)
%{?python_provide:%python_provide python3-%{module}}

%description -n python3-%{module}
A framework to implement simple but nice configuration-oriented
command-line interfaces.

This is the Python 3 version.

%prep
%setup -q -n %{oname}-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files configshell_fb configshell

%files -n python3-%{module} -f %{pyproject_files}
%doc COPYING README.md


%changelog
* Sun Mar 02 2025 wally <wally> 1:1.1.30-3.mga10
+ Revision: 2156876
- rebuild for python3.13

* Sat Feb 24 2024 daviddavid <daviddavid> 1:1.1.30-2.mga10
+ Revision: 2043917
- rebuild for py3.12

* Sat Sep 09 2023 papoteur <papoteur> 1:1.1.30-1.mga10
+ Revision: 1985568
- new 1.1.30

* Fri Jun 24 2022 papoteur <papoteur> 1:1.1.29-3.mga9
+ Revision: 1866013
- Mass Rebuild for dependencies

* Wed Mar 23 2022 umeabot <umeabot> 1:1.1.29-2.mga9
+ Revision: 1823877
- Mageia 9 Mass Rebuild

* Sat Feb 26 2022 mrambo3501 <mrambo3501> 1:1.1.29-1.mga9
+ Revision: 1785531
- version 1.1.29
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 1:1.1.fb25-5.mga9
+ Revision: 1732405
- Rebuild for python 3.9

* Wed Jul 22 2020 ovitters <ovitters> 1:1.1.fb25-4.mga8
+ Revision: 1608047
- rebuild for get rid of pythonegg requires

* Sun Feb 16 2020 umeabot <umeabot> 1:1.1.fb25-3.mga8
+ Revision: 1534296
- Mageia 8 Mass Rebuild

* Thu Oct 03 2019 daviddavid <daviddavid> 1:1.1.fb25-2.mga8
+ Revision: 1448988
- rebuild for python3.8
- drop python2 support

* Mon Jan 07 2019 zezinho <zezinho> 1:1.1.fb25-1.mga7
+ Revision: 1351169
- new version 1.1.fb25

* Thu Sep 20 2018 umeabot <umeabot> 1:1.1.fb19-3.mga7
+ Revision: 1288438
- Mageia 7 Mass Rebuild

* Mon Feb 19 2018 daviddavid <daviddavid> 1:1.1.fb19-2.mga7
+ Revision: 1203234
- rename python-configshell to python2-configshell
- add the python3 subpackage
- fix requires for pythonegg(2)(pyparsing)

* Mon Dec 14 2015 zezinho <zezinho> 1:1.1.fb19-1.mga6
+ Revision: 910503
- new version

* Wed Sep 09 2015 zezinho <zezinho> 1:1.1.fb18-1.mga6
+ Revision: 874573
- new version 1.18

* Wed Oct 15 2014 umeabot <umeabot> 1:1.1.fb14-4.mga5
+ Revision: 741566
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1:1.1.fb14-3.mga5
+ Revision: 728193
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1:1.1.fb14-2.mga5
+ Revision: 687943
- Mageia 5 Mass Rebuild

* Fri Aug 29 2014 zezinho <zezinho> 1:1.1.fb14-1.mga5
+ Revision: 669245
- new version
+ pterjan <pterjan>
- Rebuild for new Python

* Wed May 21 2014 zezinho <zezinho> 1:1.1.fb13-1.mga5
+ Revision: 624683
- new version

* Thu Feb 13 2014 zezinho <zezinho> 1:1.1.fb11-1.mga5
+ Revision: 590141
- imported package python-configshell


* Mon Jan 6 2014 Andy Grover <agrover@redhat.com> - 1:1.1.fb11-1
- New upstream release

* Fri Nov 1 2013 Andy Grover <agrover@redhat.com> - 1:1.1.fb10-1
- New upstream release

* Thu Sep 12 2013 Andy Grover <agrover@redhat.com> - 1:1.1.fb9-1
- New upstream release
- Remove dependency on python-simpleparse in favor of pyparsing
- Remove BuildRequires

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:1.1.fb8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Jul 23 2013 Andy Grover <agrover@redhat.com> - 1:1.1.fb8-1
- New upstream release
- License now Apache 2.0
- README.md instead of README

* Tue Feb 26 2013 Andy Grover <agrover@redhat.com> - 1:1.1.fb7-1
- New upstream release

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:1.1.fb6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jan 4 2013 Andy Grover <agrover@redhat.com> - 1:1.1.fb6-1
- New upstream release
- Update source URL

* Tue Jul 31 2012 Andy Grover <agrover@redhat.com> - 1:1.1.fb5-1
- New upstream release
- Update Source URL to proper tarball

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:1.1.fb4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Jan 10 2012 Andy Grover <agrover@redhat.com> - 1:1.1.fb4-1
- New upstream release

* Wed Dec 14 2011 Andy Grover <agrover@redhat.com> - 1:1.1.fb3-1
- New upstream release

* Tue Dec 13 2011 Andy Grover <agrover@redhat.com> - 1:1.1.fb2-1
- New upstream release

* Tue Dec 6 2011 Andy Grover <agrover@redhat.com> - 1:1.1.fb1-1
- New upstream source and release
- Remove patches:
  * python-configshell-remove-epydoc-dep.patch
  * python-configshell-git-version.patch

* Mon Nov 21 2011 Andy Grover <agrover@redhat.com> - 1:1.1-2
- Properly update changelog
- Sync version with upstream, Epoch used
- Change Source URL to intermediate github repo

* Fri Sep 23 2011 Andy Grover <agrover@redhat.com> - 1.99.1.git987b63b-5
* Rebuild

* Thu Aug 25 2011 Andy Grover <agrover@redhat.com> - 1.99.1.git987b63b-4
- Add patch
  - python-configshell-remove-epydoc-dep.patch

* Wed Aug 17 2011 Andy Grover <agrover@redhat.com> - 1.99.1.git987b63b-3
- Address comments from spec review
  - drop examples/myshell from doc, it hasn't been updated for API change
  - Fully document procedure to generate source .tar.gz
  - Remove "." from summary
  - Remove commented-out spec todos and other cruft

* Mon Aug 1 2011 Andy Grover <agrover@redhat.com> - 1.99.1.git987b63b-2
- Update to latest git version
- Add urwid builddep

* Tue May 10 2011 Andy Grover <agrover@redhat.com> - 1.99.1.git987b63b-1
- Initial packaging
